<template>
    <b-col lg="5" xl="6" class="pl-0 pr-0">
        <b-container fluid class="light-bg h-100 pl-0 pr-0 map">
            <l-map ref="sondesMap" :zoom="zoom" :center="center" class="map">
            <l-tile-layer :url="url" :attribution="attribution"></l-tile-layer>
                <l-marker v-for="marker in markers" :key="l-marker.id" :lat-lng="marker.position">
                     <l-tooltip :content="marker.tooltip" />
                </l-marker>
            </l-map>
        </b-container>
    </b-col>
</template>

<script>
import { LMap, LTileLayer, LMarker, LTooltip } from 'vue2-leaflet'

export default {

  name: 'Map',

  components: {
    LMap,
    LTileLayer,
    LMarker,
    LTooltip
  },

  data () {
    return {
      zoom: 5,
      center: [47.413220, -1.219482],
      url: 'http://{s}.tile.osm.org/{z}/{x}/{y}.png',
      attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
    }
  },

  computed: {
    markers () {
      // list of the sondes positions
      return this.$store.state.markers
    }
  },

  mounted () {
    // get the last positions of all sondes
    this.$store.dispatch('getLocations')
  }
}
</script>

<style scoped>
.map{
    min-height: 600px;
}
</style>
